﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using HeuristicLab.DataImporter.DbExplorer.Interfaces;
using HeuristicLab.DataImporter.Data;
using HeuristicLab.DataImporter.Data.Model;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.DataImporter.DataProcessor {
  [StorableClass]
  public class DataProcessor{
    public DataProcessor() {
      this.commandChain = new CommandChain();
      this.dataSet = new DataSet();
    }

    public DataProcessor(DataSet ds) {
      this.commandChain = new CommandChain();
      this.dataSet = ds;
    }

    private IDbExplorer dbExplorer;
    public IDbExplorer DatabaseExplorer {
      get { return this.dbExplorer; }
      set { this.dbExplorer = value; }
    }

    [Storable]
    private DataSet dataSet;
    public DataSet DataSet {
      get { return this.dataSet; }
    }

    private CommandChain commandChain;
    public CommandChain CommandChain {
      get { return this.commandChain; }
    }

    public void Reset() {
      this.dataSet = new DataSet();
      this.commandChain.Clear();
    }
  }
}
